#!/bin/sh -e

# determine architecture
ARCH=`dpkg --print-installation-architecture`

# source debconf library
. /usr/share/debconf/confmodule

if [ -r /etc/rc.boot/0setserial ] ; then
  # note about old 0setserial config file
  if [ "$ARCH" != "m68k" ]; then
  db_input high setserial/rc-boot-file-renamed || true
  else
  db_input high setserial/rc-boot-file-removed || true
  fi
fi

if [ "$ARCH" != "m68k" ]; then
  # ask about autosave
  db_input medium setserial/autosave-types || true
fi

# go, go, go! :)
db_go
